Bug 973479 - Prevent NUL characters from being accepted
Summary: Prevent NUL characters from being accepted
Status: CLOSED UPSTREAM
Alias: None
Product: Zanata
Classification: Retired
Component: Component-Persistence (Show other bugs)
(Show other bugs)
Version: development
Hardware: Unspecified Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: Sean Flanigan
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Keywords: Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 02:56 UTC by Sean Flanigan
Modified: 2015-07-29 03:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 03:35:42 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sean Flanigan 2013-06-12 02:56:39 UTC
Description of problem:

When exporting TMX, I found an instance of a NUL character (\0) in one of our HTextFlowTargets.  We need to fix our input validation in the client, in the server, and preferably in the database constraints to prevent this from happening again.

If we detect NUL in a user file, we should generate an error message which directs the user to the offending line.

Comment 2 Sean Flanigan 2014-03-21 00:45:52 UTC
Handy queries:

select * from HTextFlow where content0 LIKE CONCAT("%", CHAR(0x00 using utf8), "%");

select * from HTextFlowTarget where content0 LIKE CONCAT("%", CHAR(0x00 using utf8), "%");

Comment 3 Isaac Rooskov 2014-10-01 01:49:06 UTC
Set to low serverity as low occurance and easy user fix

Comment 4 Zanata Migrator 2015-07-29 03:35:42 UTC
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-337


Note You need to log in before you can comment on or make changes to this bug.